(***********************************************************************)
(*                                                                     *)
(*                                 Pio                                 *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2004-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: gen_communication.ml,v 1.2 2011-05-03 10:35:01 fclement Exp $ *)

open Communication;;
open Typed_value;;

let vals = Array.of_list Gen_typed_values.list;;

let list =
  [
    Communication.Service (Start, [| Typed_value.of_string "Hello Master Foo!"; |]);
    Communication.Phrase vals;
    Communication.Task ("fib", [| Typed_value.of_int 38; |]);
    Communication.Result [| Typed_value.of_int 42; |];
    Communication.Error [|
      Typed_value.of_string "Failure";
      Typed_value.of_string "index out of bound";
    |];
    Communication.Service (Stop, [| Typed_value.of_string "Bye Master Foo!"; |]);
  ]
;;
