#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#                  projet Estime, INRIA-Rocquencourt                  #
#                                                                     #
#  Copyright 2005-2011 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: error_codes.profile,v 1.4 2011-03-24 12:13:19 fclement Exp $

#
# Pph system exit/return status (in the range 128-255).
# Used by makefiles and scripts.
#

# Errors on command line options/arguments (range = 129-136).
UNKNOWN_OPTION_NAME_ERROR="129"
NO_ARGUMENT_ERROR="130"
MISSING_ARGUMENT_ERROR="131"
TOO_MANY_ARGUMENTS_ERROR="132"
INVALID_ARGUMENT_ERROR="133"

# Errors on value of variables (range = 137-144).
NO_VALUE_ERROR="137"
TOO_MANY_VALUES_ERROR="138"
EMPTY_VALUE_ERROR="139"
INVALID_VALUE_ERROR="140"
ALREADY_SET_ERROR="141"

# Errors on files (range = 145-152)
NONEXISTENT_FILE_ERROR="145"
UNREADABLE_FILE_ERROR="146"
WRONG_FILE_TYPE_ERROR="147"
WRONG_LINK_ERROR="148"

WRONG_RESULT_ERROR="153"
ABORTING_ERROR="154"
COMMAND_NOT_FOUND_ERROR="155"
UNSUPPORTED_CASE_ERROR="156"

# Devel errors (range = 196-243).
TEST_FAILED_ERROR="196"
PHASE_CANNOT_BE_RUN_AGAIN_ERROR="197"
PHASE_CANNOT_BE_UNDONE_ERROR="198"
NOT_READY_FOR_PHASE_ERROR="199"
INTERNAL_ERROR="200"

EARLY_RETURN_EXCEPTION="253"
NOT_YET_IMPLEMENTED_ERROR="254"
PPH_INTERNAL_ERROR="255"
